dpkg-name(1)

NOMBRE
dpkg-name - Renombra paquetes de Debian a nombres completos de paquete

SINOPSIS
dpkg-name [opciones] [--] ficheros

DESCRIPCIÓN

Esta pagina de manual documenta el uso de dpkg-name, que ofrece una forma sencilla de renombrar paquetes de Debian a sus nombres completos de paquete. Un nombre completo de paquete consiste de <paquete>_<versión>_<arquitectura>.<tipo-paquete> tal y como se define en el fichero de control del paquete. La parte de <versión> del fichero consiste de la información de la versión de la fuente original, opcionalmente seguido de un guión, y la información de la revisión. La parte de <tipo-paquete> se extrae de ese campo, de existir. De no ser así, se usará deb por omisión.

OPCIONES

-a, --no-architecture
    El nombre del fichero de destino no incluirá información sobre la arquitectura.

-k, --symlink
    Crea un enlace simbólico en vez de mover el fichero.

-o, --overwrite
    Los ficheros existentes se sobreescribirán si poseen el mismo nombre que el fichero de destino.

-s, --subdir [directorio]
    Los ficheros se moverán al subdirectorio definido. Si existe el directorio dado como argumento, los ficheros se moverán al directorio definido. De otra forma, el nombre del directorio de destino se extraerá del campo de sección, en el fichero de control del paquete. El directorio de destino será «unstable/binary-<arquitectura>/<sección>». Si no se encuentra ninguna sección en el fichero de control, se asumirá «no-section». En este caso, y también si la sección es «non-free» o «contrib», el directorio de destino será «<sección>/binary-<arquitectura>». El campo de sección no es necesario, por lo que muchos paquetes aparecerán como parte de «no-section» (sin sección). Use esta opción con cuidado, es algo delicada.

-c, --create-dir
    Esta opción se puede usar junto con la opción «-s». Si no se encuentra ningún directorio de destino, se creará automáticamente. Use esta opción con cuidado.

-h, --help
    Muestra el modo de uso y termina.

-v, --version
    Muestra la versión y termina.

EJEMPLOS

dpkg-name bar-foo.deb
    El fichero «bar-foo.deb» se renombrará a «bar-foo_1.0-2_i386.deb» o similar (dependiendo de cual sea la información en la sección de control de «bar-foo.deb»).

find /root/debian/ -name '*.deb' | xargs -n 1 dpkg-name -aç
    dpkg-name renombrará todos los ficheros con la extensión «.deb» dentro del directorio «/root/debian» y sus subdirectorios, en caso de ser necesario, a nombres sin información de arquitectura.

find -name '*.deb' | xargs -n 1 dpkg-name -a -o -s -c
    No haga esto. Su archivo se corromperá completamente debido a que una gran cantidad de paquetes no incluyen una sección de información. No haga esto.

dpkg --build debian-tmp && dpkg-name -o -s .. debian-tmp.deb
    Puede utilizar esto al construir paquetes nuevos.

FALLOS
Algunos paquetes no siguen la misma estructura de <paquete>_<versión>_<arquitectura>.deb. Los paquetes que dpkg-name renombre seguirán esta estructura. Generalmente esto no tendrá ningún efecto en la instalación de paquetes por dselect(1)/ dpkg(1), aunque otras herramientas de instalación podrían depender de esta estructura.

VÉASE TAMBIÉN
deb(5), deb-control(5), dpkg(1), dpkg-deb(1), find(1), xargs(1).

AUTOR
Copyright © 1995,1996 Erick Branderhorst

Esto es software libre; vea la versión 2 o posterior de la Licencia Pública General GNU para condiciones de copia. NO hay ninguna garantía.

TRADUCTOR
Rudy Godoy <rudy@kernel-panik.org>, Rubén Porras <nahoo@inicia.es>, Bruno Barrera C. <bruno.barrera@igloo.cl>, Carlos Izquierdo <gheesh@ertis.net>, Esteban Manchado y NOK. Debian L10n Spanish <debian-l10n-spanish@lists.debian.org>.
Revisiones por Santiago Vila <sanvila@unex.es>, Javier Fernández-Sanguino, Rubén Porras, Luis Uribe y Omar Campagne.